import axios from '@/common/services/axios-instance'

class AuditPorjectOverviewService {
  // 完成情况
  getFirstProcess(params) {
    return axios({
      method: 'post',
      url: `api/xcoa-mobile/v1/ic-statistics/getDraftFinishList`,
      data: params,
    })
  }

  // 完成情况-按人员
  getSecondProcess(params) {
    return axios({
      method: 'post',
      url: `api/xcoa-mobile/v1/ic-statistics/getDraftPerList`,
      data: params,
    })
  }

  // 评价概况-测试结果
  getThreeProcess(params) {
    return axios({
      method: 'post',
      url: `api/xcoa-mobile/v1/ic-statistics/getTestResultList`,
      data: params,
    })
  }

  // 评价概况-测试缺陷
  getFourProcess(params) {
    return axios({
      method: 'post',
      url: `api/xcoa-mobile/v1/ic-statistics/getTestDefectsList`,
      data: params,
    })
  }

  // 评价概况-获取字典值
  getDictValue(key) {
    return axios({
      url: 'api/xcoa-mobile/v1/iam-law/dictionary?key=' + key,
      method: 'get',
    })
  }

  // 获取内控流程分类
  getMtxPrcPath(id) {
    return axios({
      url: `api/xcoa-mobile/v1/icmtxprocess/findupcatinfo?categoryId=${id}`,
      method: 'post',
    })
  }
}

export default new AuditPorjectOverviewService()
